Subject: LOCK and UNLOCK methods

From: [email-masked]
Date: Mon, 11 Oct 1999 15:50:51 -0400

The spec (version 10) doesn't exactly say that LOCK and UNLOCK methods return.
Section 8.10.4 says a LOCK method returns a DAV:multistatus in the case where
the LOCK fails, but does not say what is returned in the normal case. The
examples show a DAV:prop element containing the lock discovery, but this is
never stated as the output. If the lock is a depth infinity lock, is a multi
status returned containing the lock discovery for all the locked elements (they
may be different because some of them may have other shared locks). DAV4J does
this, but I'm not sure it is correct.

UNLOCK does not define what it returns. DAV4J returns the same thing LOCK
returns, a prop element containing the lock discovery, or a multistatus if there
was an error, or many items unlocked. This is not consistent with the example in
the spec which has no entity response body.

Could someone clarify what these methods are supposed to return, and update the
spec accordingly. Thanks.